# $Revision: 1.60 $, $Date: 2009/03/01 19:59:48 $
Summary:	The standard UNIX FTP (file transfer protocol) client
Summary(de.UTF-8):	Standardmäßiger Unix-FTP-Client (file transfer protocol)
Summary(es.UTF-8):	Cliente FTP padrón Unix (protocolo de transmisión de archivo)
Summary(fr.UTF-8):	Client FTP (file transfer protocol) standard d'Unix
Summary(pl.UTF-8):	Standardowy klient FTP (file transfer protocol)
Summary(pt_BR.UTF-8):	Cliente FTP padrão Unix (protocolo de transmissão de arquivo)
Summary(ru.UTF-8):	Стандартный FTP (file transfer protocol) клиент Unix
Summary(tr.UTF-8):	Standart UN*X FTP istemcisi
Summary(uk.UTF-8):	Стандартний FTP (file transfer protocol) клієнт Unix
Name:		ftp
Version:	0.17
Release:	27
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	94441610c9b86ef45c4c6ec609444060
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	5f8919e12c6878fa538a339f3ff2095d
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		netkit-%{name}-macro-quit.patch
Patch1:		netkit-%{name}-acct.patch
Patch2:		netkit-%{name}-usagi-ipv6.patch
Patch3:		netkit-%{name}-input_line.patch
Patch4:		netkit-%{name}-arg_max.patch
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	inetutils-ftp
Obsoletes:	lukemftp
Obsoletes:	tnftp

%description
The FTP package provides the standard UNIX command-line FTP client.
FTP is the file transfer protocol, which is a widely used Internet
protocol for transferring files and for archiving files.

%description -l de.UTF-8
Dadurch wird der Standard-Unix-Befehlszeilen-FTP-Client
bereitgestellt. FTP ist das Standard-Internet-Dateitransfer-Protokoll,
das sich sowohl für Dateiarchive als auch für Dateitransfers zwischen
Individuen großer Beliebtheit erfreut.

%description -l es.UTF-8
Este paquete provee el cliente FTP padrón Unix para la línea de
comando. FTP es el protocolo padrón de transferencia de archivos en
Internet, y es extremamente popular.

%description -l fr.UTF-8
Contient le client FTP en ligne de commande standard d'Unix.  est
FTP
le protocole standard de transfert de fichiers sur l'Internet. Il est
très utilisé pour les archives et les transferts de fichiers entre
individus.

%description -l pl.UTF-8
Pakiet FTP udostępnia standardowego klienta FTP obsługiwanego z linii
poleceń jaki jest obecny w różnych systemach uniksowych. FTP jest
protokołem do przesyłania plików (File Transfer Protocol), będącym
jednym z częściej używanych protokołów do przesyłania i archiwizacji
plików między komputerami w Internecie.

%description -l pt_BR.UTF-8
Este pacote provê o cliente FTP padrão Unix para a linha de comando. O
FTP é o protocolo padrão de transferência de arquivos na Internet, e é
extremamente popular.

%description -l ru.UTF-8
Пакет FTP содержит стандартный FTP-клиент Unix, работающий из
командной строки. FTP - это широко используемый протокол для передачи
файлов в Интернете и для архивирования файлов.

%description -l tr.UTF-8
Bu pakette UN*X'in standart komut satırı FTP istemcisi bulunmaktadır.
Gerçi grafik arabirimlerin egemen olduğu bir çağda biraz demode gibi
gözükebilir ancak anonim dosya arşivleri ve kişiler arası dosya
iletimi için hala yaygın olarak kullanılmaktadır.

%description -l uk.UTF-8
Пакет FTP містить стандартний FTP-клієнт Unix, який працює з
командного рядка. FTP - це широко використовуваний протокол для
передачі файлів в Інтернеті та для архівації файлів.

%package pftp
Summary:	Passive mode FTP client
Summary(pl.UTF-8):	Tryb pasywny klienta FTP
Group:		Applications/Networking
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	%{name} >= 0.17-13
Conflicts:	pftp

%description pftp
This package contains a symlink to the FTP client used to call the
client in passive mode.

%description pftp -l pl.UTF-8
Pakiet ten zawiera dowiązanie do klienta FTP, wywołujące go w trybie
pasywnym.

%prep
%setup -q -n netkit-ftp-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
CFLAGS="%{rpmcflags}" \
./configure \
	--with-c-compiler="%{__cc}"
%{__make} \
	LIBTERMCAP="-ltinfo" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -D__USE_READLINE__"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/pftp.1
echo ".so ftp.1" > $RPM_BUILD_ROOT%{_mandir}/man1/pftp.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ftp
%{_mandir}/man1/ftp.1*
%{_mandir}/man5/netrc.5*
%lang(ja) %{_mandir}/ja/man1/ftp.1*
%lang(pl) %{_mandir}/pl/man1/ftp.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/ftp.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files pftp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pftp
%{_mandir}/man1/pftp*
%lang(ja) %{_mandir}/ja/man1/pftp.1*
%lang(pl) %{_mandir}/pl/man1/pftp.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/pftp.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ftp.spec,v $
Revision 1.60  2009/03/01 19:59:48  areq
- arg_max.patch - Use sysconf to get ARG_MAX instead of a macro

Revision 1.59  2009/02/23 22:04:54  arekm
- release 26

Revision 1.58  2007/09/05 13:12:38  baggins
- rel 25

Revision 1.57  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.55  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.54  2006/08/03 01:24:56  sparky
- pass rpmldflags

Revision 1.53  2006/05/22 17:30:57  witekfl
- fixed build really using readline
- rel 24

Revision 1.52  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.51  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.50  2004/10/29 08:17:36  paladine
- "FTP" unification

Revision 1.49  2004/10/28 20:41:01  paladine
- "FTP" unification

Revision 1.48  2004/09/25 11:53:36  blues
- release 22 - obsoletes fot inetutils

Revision 1.47  2004/08/31 06:40:52  snurf
- typos / formatting / etc.

Revision 1.46  2003/12/18 22:51:19  ankry
- rel. 21

Revision 1.45  2003/12/08 21:08:40  grzegol
- moved .desktop file to %{_desktopdir}
- rel. 20

Revision 1.44  2003/10/28 19:58:23  michuz
- rel 19
- updated ftp.desktop

Revision 1.43  2003/06/02 15:18:32  ankry
- added/changed non-english-man-pages URL

Revision 1.42  2003/05/30 13:37:39  qboosh
- Obsoletes: lukemftp is back (should be kept)
- pass proper optflags
- pt_BR man pages are back (tarball is no longer outdated)

Revision 1.41  2003/05/29 11:14:17  adgor
- Fixed srcs md5dum; bad urls removed

Revision 1.40  2003/05/26 19:28:01  erjot
- force rpm %optflags

Revision 1.39  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.38  2003/05/26 10:52:26  djrzulf
- for now there isn't any pt_BR manpages,
- changed Obsoleted to tnftp (lukemftp is obsoleted),

Revision 1.37  2003/05/25 05:47:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/04/19 11:38:27  kloczek
- added desktop file and png icon (based on lftp icon).

Revision 1.35  2003/04/19 11:20:44  kloczek
- release 18,
- merge translations from KSI and Conectiva,
- merge pt_BR man pages gfrom Conectiva resources,
- link ftp executable only with libtinfo,
- added netrc(5) man page to %files.

Revision 1.34  2002/09/17 22:49:26  ankry
- moved pftp to a separate package (Conflicts: pftp)
- release 13

Revision 1.33  2002/04/25 16:20:09  arturs
- fixed a small typo

Revision 1.32  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/24 00:12:59  ankry
- added man-pages tar URL

Revision 1.30  2002/01/18 02:12:59  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/11/28 17:58:09  qrczak
- netkit-ftp-input_line.patch: fix behavior when the line entered is
  too long and we are using readline. Fix another bug when the line is
  too long, we are using readline, and the 199th character is '\n'.
- Release 12.

Revision 1.28  2001/11/19 22:16:53  ankry
- added ja man pages
- moved pl man page + .so pointer creation to *-nono-english-man-pages.tar.bz2
- release 11

Revision 1.27  2001/04/30 16:54:48  kloczek
- release 10
- merge acct, usagi-ipv6 rawhide patches,
- added using %{__cc} macro.

Revision 1.26  2001/04/30 16:05:17  kloczek
- added using %{rpmcflags} macro.

Revision 1.25  2001/04/12 23:26:23  kloczek
- release 8: rebuild against readline 4.2.

Revision 1.24  2001/01/25 20:03:23  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.23  2000/12/23 00:48:44  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.22  2000/10/23 20:52:17  kloczek
- fix: duplicated man1 in %install.

Revision 1.21  2000/10/23 20:35:03  kloczek
- release 7: use new rpm automation.

Revision 1.20  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.19  2000/08/24 15:19:38  pascalek
- updated to 0.17,
- macro-quit.patch applied.

Revision 1.18  2000/07/13 23:08:11  baggins
- release 7
- rebuild with ncurses 5.1

Revision 1.17  2000/07/13 20:40:01  baggins
- release 6

Revision 1.16  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.15  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.14  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.13  2000/05/14 23:20:28  kloczek
- release 5,
- added "Obsoletes: lukemftp".

Revision 1.12  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.11  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/29 22:58:14  arturs
- added %description -l pl

Revision 1.9  2000/03/23 08:59:57  kloczek
- relaese 4,
- build against readline 4.1.

Revision 1.8  2000/01/10 02:59:21  kloczek
- release 3,
- added pl translation.

Revision 1.7  2000/01/01 22:05:11  kloczek
- release 2 (in rawhide is now 1).

Revision 1.6  1999/12/19 21:32:27  kloczek
- updtated to 0.16,
- adapterized,
- rewrited %build for new version.

Revision 1.5  1999/12/09 04:25:23  kloczek
- add -D__USE_READLINE__ to CFLAGS instead USE_READLINE=1 to make
  parameters.

Revision 1.4  1999/12/09 04:07:23  kloczek
- updated to 0.15,
- added BuildRequires rules,
- build against ncurses 5.0 (BR#125),
- added USE_READLINE=1 to make parameters,
- added de, fr, tr translations from old RH spec,
- added pl man page for ftp.

Revision 1.3  1999/12/03 23:23:36  waszi
- ftpd-BSD.spec

Revision 1.2  1999/08/20 17:03:59  baggins
- misc fixes and cleanups

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> t
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
